@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2000-2002 USTL - LIFL - GOAL
rem # Contact: openccm@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Philippe Merle, Mathieu Vadet.
rem # Contributor(s): Christophe Demarey, Jerome Offroy.
rem #
rem # ====================================================================
rem #
rem #  Automatically generated environment file for using
rem #  the OpenCCM Platform.
rem #
rem #  Start a Java Application from an xml configuration file.
rem #
rem #  If %1 = "exec", simply run the application.
rem #  If %1 = "fork", run the application as a server.
rem #  If %1 = "fork_err", run the application as a server 
rem # 					   and redirect output on error output.
rem #
rem #  Parameters :
rem #  - %2 represents jvm parameters.
rem #  - %3 represents application parameters.
rem #  - %4 is the file where standard output is redirected. (ex: cmd.output, cmd.ior)
rem #  - %5 is a file containing the Processus ID.
rem #
rem # ====================================================================

setlocal
set CLASSPATH=%OpenCCM_HOMEDIR%\lib\Launcher.jar;%OpenCCM_HOMEDIR%\lib\xerces.jar
set JVM_ARGS=%2
set JVM=@JDK_BINDIR@\java.exe %JVM_ARGS:"=% -DOpenCCM_CONFIG_DIR=%OpenCCM_CONFIG_DIR% -classpath %CLASSPATH%  org.objectweb.util.launcher.Launcher
set ARGS=%3
if "%1"=="exec" goto exec
if "%1"=="fork" goto fork
if "%1"=="fork_err" goto fork_err
goto :eof

:exec
%JVM% %ARGS:"=%
goto :eof

:fork
if exist %4.tmp del %4.tmp
exec %5 %JVM% %ARGS:"=% > %4.tmp 
goto :wait

:fork_err
if exist %4.tmp del %4.tmp
exec %5 %JVM% %ARGS:"=% 2> %4.tmp 

:wait
set READY=
if not exist %4.tmp goto :wait
copy %4.tmp %4 > nul
for /f %%i in (%4) do set READY=ok
if not defined READY goto :wait
