/*====================================================================

ObjectWeb Util Preprocessor Package.
Copyright (C) 2003 INRIA & USTL - LIFL - GOAL
Contact: architecture@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Philippe Merle.
Contributor(s): ______________________________________.

====================================================================*/

package org.objectweb.util.cpp.api;

/**
 * This defines a simple interface to wrap a Preprocessor object.
 *
 * This provides the following properties:
 *
 * - Preprocessor: The associated preprocessor.
 *
 * @author <a href="mailto:Philippe.Merle@lifl.fr">Philippe Merle</a>
 *
 * @version 0.1
 */

public interface PreprocessorHolder
{
    /**
     * Obtains the associated preprocessor.
     *
     * @return The associated preprocessor.
     */
    public Preprocessor
    getPreprocessor();

    /**
     * Sets the associated preprocessor.
     *
     * @param preprocessor The associated preprocessor.
     */
    public void
    setPreprocessor(Preprocessor preprocessor);
}

